#!/bin/bash
# /root/my-applications/bin/mois_zeros+espaces.sh
# Sketch by musher0, 26 Nov. 2018. GPL3. # Rev. 30 déc. 2018.
#
# Requires awk, replaceit, tr, and paste.
#
# Syntax should be < mois_zeros_espaces.sh month year >, but there
# is a safeguard: it defaults to current month and year if the
# script finds no positional parameters.
# 
# Please read NOTE at bottom.
####

[ "$1" ] && A=$1 || A="`date '+%m'`" # mois
[ "$2" ] && B=$2 || B="`date '+%Y'`" # année
TmP=/root/my-documents/tmp
MoiS="$TmP/mois.txt"
RPLCT="replaceit --input=$MoiS"

EnTete="`cal $A $B | grep -vE [[:digit:]] | tr " " "\t"`"
echo " " > $MoiS # For better appearance in the end.
cal $A $B | grep --color=always -vE [[:alpha:]] | tr " " ";" >> $MoiS
echo $MOIS

num="";for num in {1..9};do
     $RPLCT ";;$num" ";0$num";$RPLCT ";$num;" "0$num;"
done

i=1;for i in {1..7};do
     $RPLCT ";;;" " o "
     i="$[$i+i]"
done
# Maintenant on a un mois avec des dates de même longueur,
# tous séparés par un espace. /
# Now we have a month with dates of same length, all
# separated by a space.

cat $MoiS | tr ";" " "  > $TmP/mois.txt2

for i in {1..7}; do # séparation en colonnes (simili-BdD)
     awk '{ print $'$i' }' $TmP/mois.txt2 | tr "o" "-" > $TmP/jours$i.txt
done
for j in 1 7;do
	> $TmP/jours$j.txt2
	while read line;do 
		echo -e "\e[32m$line\e[0m" >> $TmP/jours$j.txt2
	done < $TmP/jours$j.txt
	mv $TmP/jours$j.txt2 $TmP/jours$j.txt
done

# Affichage
clear
echo; echo -e "\t\t\t\e[1;33m`cal $A $B | head -1`\e[0m"
paste /root/my-applications/bin/taquets.txt $TmP/jours*.txt
echo -e "\n\t\e[1;33m$EnTete\e[0m"

# Nettoyage
rm -f $TmP/mois.tx*
read
rm -f $TmP/jours*

exit

## NOTE ##
# To run in its own window, in your Puppy's locale:
# urxvt +sb -bg "#352e20" -g 67x13 -e mois_zeros+espaces.sh
# To run in its own window, in English:
# LANG=en_CA;urxvt +sb -bg "#352e20" -g 67x13 -e mois_zeros+espaces.sh
##########